.TH wxPrintPreview 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxPrintPreview \- See external documentation: wxPrintPreview\&.
.SH DESCRIPTION
.LP
See external documentation: wxPrintPreview <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxPrintPreview()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(Printout::wxPrintout() (see module wxPrintout)) -> wxPrintPreview()
.br
.RS
.LP
Equivalent to new(Printout, [])\&.
.RE
.LP
.B
new(Printout::wxPrintout() (see module wxPrintout), Options::[Option]) -> wxPrintPreview()
.br
.RS
.TP
Types
Option = {printoutForPrinting, wxPrintout() (see module wxPrintout)} | {data, wxPrintDialogData() (see module wxPrintDialogData)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewwxprintpreview>\&.
.RE
.LP
.B
new(Printout::wxPrintout() (see module wxPrintout), PrintoutForPrinting::wxPrintout() (see module wxPrintout), Data::wxPrintData() (see module wxPrintData)) -> wxPrintPreview()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewwxprintpreview>\&.
.RE
.LP
.B
getCanvas(This::wxPrintPreview()) -> wxPreviewCanvas() (see module wxPreviewCanvas)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewgetcanvas>\&.
.RE
.LP
.B
getCurrentPage(This::wxPrintPreview()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewgetcurrentpage>\&.
.RE
.LP
.B
getFrame(This::wxPrintPreview()) -> wxFrame() (see module wxFrame)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewgetframe>\&.
.RE
.LP
.B
getMaxPage(This::wxPrintPreview()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewgetmaxpage>\&.
.RE
.LP
.B
getMinPage(This::wxPrintPreview()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewgetminpage>\&.
.RE
.LP
.B
getPrintout(This::wxPrintPreview()) -> wxPrintout() (see module wxPrintout)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewgetprintout>\&.
.RE
.LP
.B
getPrintoutForPrinting(This::wxPrintPreview()) -> wxPrintout() (see module wxPrintout)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewgetprintoutforprinting>\&.
.RE
.LP
.B
isOk(This::wxPrintPreview()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewisok>\&.
.RE
.LP
.B
paintPage(This::wxPrintPreview(), Canvas::wxPreviewCanvas() (see module wxPreviewCanvas), Dc::wxDC() (see module wxDC)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewpaintpage>\&.
.RE
.LP
.B
print(This::wxPrintPreview(), Interactive::bool()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewprint>\&.
.RE
.LP
.B
renderPage(This::wxPrintPreview(), PageNum::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewrenderpage>\&.
.RE
.LP
.B
setCanvas(This::wxPrintPreview(), Canvas::wxPreviewCanvas() (see module wxPreviewCanvas)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewsetcanvas>\&.
.RE
.LP
.B
setCurrentPage(This::wxPrintPreview(), PageNum::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewsetcurrentpage>\&.
.RE
.LP
.B
setFrame(This::wxPrintPreview(), Frame::wxFrame() (see module wxFrame)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewsetframe>\&.
.RE
.LP
.B
setPrintout(This::wxPrintPreview(), Printout::wxPrintout() (see module wxPrintout)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewsetprintout>\&.
.RE
.LP
.B
setZoom(This::wxPrintPreview(), Percent::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintpreview\&.html#wxprintpreviewsetzoom>\&.
.RE
.LP
.B
destroy(This::wxPrintPreview()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
